// pages/api/talas_v5_DB/pois/readLocations.js
import getPool from "../../../../utils/mysqlPool"; // Singleton-Pool importieren

export default async function handler(req, res) {
  const pool = getPool(); // Singleton-Pool verwenden

  const query = `
    SELECT idPoi, description, idPoiTyp, idLD, ST_AsText(position) AS position
    FROM poi
  `;

  let connection;

  try {
    connection = await pool.getConnection(); // Hole eine Verbindung aus dem Pool

    const [results] = await connection.query(query);

    // Senden der Antwort zurück
    res.status(200).json(results);
  } catch (error) {
    console.error("Fehler beim Abrufen der API:", error);
    res.status(500).json({ error: "Fehler bei der Abfrage" });
  } finally {
    if (connection) connection.release(); // Gib die Verbindung in den Pool zurück
  }
}
